#include <stdio.h>
#include <tchar.h>
#include <string.h>
#define UNICODE

#define ESR_FILE_NOT_PATCHED -5
#define ESR_FILE_NO_UDF_DESCRIPTOR -4
#define ESR_FILE_WRONG_FORMAT -3
#define ESR_FILE_ALREADY_PATCHED -2
#define ESR_FILE_CANNOT_OPEN -1
#define ESR_FILE_OK 0

const unsigned short crc_itu_t_table[256];
const unsigned char dvdvdata[24576];
int PatchFile(TCHAR *filename);
int CheckForPatch(TCHAR *filename, FILE *iso);
int UnPatchFile(TCHAR *filename);
unsigned short crc_itu_t_byte(unsigned short crc, const unsigned char data);
unsigned short crc_itu_t(unsigned short crc, const unsigned char* buffer, size_t len);
