#ifndef MAINHEADER_H_INCLUDED
#define MAINHEADER_H_INCLUDED
#include "resource.h"

#define IDM_OPENFILE 301
#define IDM_EXIT 302
#define IDM_VIEWSINGLE 303
#define IDM_VIEWBATCH 304
#define IDM_ABOUT 305

#define IDC_TXTFILE 101
#define IDC_BTNBROWSE 102
#define IDC_BTNPROCESS 103
#define IDC_BTNBATCH 104
#define IDC_BTNEXIT 105

#define IDC_BTNBEGIN 201
#define IDC_BTNBEXIT 202
#define IDC_LSTFILES 203
#define IDC_PROGRESS 204
#define IDC_BTNADDFILES 205
#define IDC_BTNSINGLE 206
#define IDC_BTNCLEAR 207

LRESULT CALLBACK MainWindowProc(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
LRESULT CALLBACK AboutWindowProc(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
LRESULT CALLBACK BatchWindowProc(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
LRESULT CALLBACK QuickWindowProc(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow);
void ListView_AddTextColumn(HWND *listview, TCHAR *text, int width, int columnno);
int ShowAboutDialog(HWND owner);
void GetMultiOpen(OPENFILENAME *openfile, HWND addtolst);
char SupportedFile(TCHAR *filename);
void PatchFilesInListView(HWND listview, HWND progressbar);
void chrtoup(TCHAR *str);
int AddFileToListView(HWND listview, TCHAR *filename);
void SetupFont(HWND replace, HFONT made);
void SetupStatusText(HWND status, char mode);

#endif // MAINHEADER_H_INCLUDED
